### Hierarchy

- SetupAutomator

## Index

### Constructors

- constructor

### Methods

- add
- onAssign
- onRelease
- remove

## Constructors

### constructor

- new SetupAutomator(onAssign: function, onRelease: function): SetupAutomator

- - Defined in lib/starling/display/Image.d.ts:121

  #### Parameters

  - ##### onAssign: function

    - - (Image: any): void

      - #### Parameters

        - ##### Image: any

        #### Returns void

  - ##### onRelease: function

    - - (Image: any): void

      - #### Parameters

        - ##### Image: any

        #### Returns void

  #### Returns SetupAutomator

## Methods

### add

- add(onAssign: function, onRelease: function): void

- - Defined in lib/starling/display/Image.d.ts:124

  #### Parameters

  - ##### onAssign: function

    - - (Image: any): void

      - #### Parameters

        - ##### Image: any

        #### Returns void

  - ##### onRelease: function

    - - (Image: any): void

      - #### Parameters

        - ##### Image: any

        #### Returns void

### onAssign

- onAssign(image: Image): void

- - Defined in lib/starling/display/Image.d.ts:128

  #### Parameters

  - ##### image: Image

  #### Returns void

### onRelease

- onRelease(image: Image): void

- - Defined in lib/starling/display/Image.d.ts:130

  #### Parameters

  - ##### image: Image

  #### Returns void

### remove

- remove(onAssign: function, onRelease: function): void

- - Defined in lib/starling/display/Image.d.ts:126

  #### Parameters

  - ##### onAssign: function

    - - (Image: any): void

      - #### Parameters

        - ##### Image: any

        #### Returns void

  - ##### onRelease: function

    - - (Image: any): void

      - #### Parameters

        - ##### Image: any

        #### Returns void

Generated using TypeDoc